Loading...
Searching...
No Matches
transformix::TRANSFORMIX Class Reference

`#include <transformixlib.h>`

## Detailed Description

Definition at line 36 of file transformixlib.h.

## Public Types

using | ConstImagePointer = Image::ConstPointer
using | Image = itk::DataObject
using | ImagePointer = Image::Pointer
using | ParameterMapListType = std::vector<itk::ParameterFileParser::ParameterMapType>
using | ParameterMapType = itk::ParameterFileParser::ParameterMapType
using | ParameterValuesType = itk::ParameterFileParser::ParameterValuesType

## Public Member Functions

ImagePointer | GetResultImage ()
ConstImagePointer | GetResultImage () const
int | TransformImage (ImagePointer inputImage, ParameterMapType &parameterMap, std::string outputPath, bool performLogging, bool performCout)
int | TransformImage (ImagePointer inputImage, std::vector< ParameterMapType > &parameterMaps, const std::string &outputPath, bool performLogging, bool performCout)
| TRANSFORMIX ()
virtual | ~TRANSFORMIX ()

## Private Attributes

ImagePointer | m_ResultImage

## Member Typedef Documentation

## ConstImagePointer

using transformix::TRANSFORMIX::ConstImagePointer = Image::ConstPointer

Definition at line 42 of file transformixlib.h.

## Image

using transformix::TRANSFORMIX::Image = itk::DataObject

Definition at line 40 of file transformixlib.h.

## ImagePointer

using transformix::TRANSFORMIX::ImagePointer = Image::Pointer

Definition at line 41 of file transformixlib.h.

## ParameterMapListType

using transformix::TRANSFORMIX::ParameterMapListType = std::vector<itk::ParameterFileParser::ParameterMapType>

Definition at line 47 of file transformixlib.h.

## ParameterMapType

using transformix::TRANSFORMIX::ParameterMapType = itk::ParameterFileParser::ParameterMapType

Definition at line 46 of file transformixlib.h.

## ParameterValuesType

using transformix::TRANSFORMIX::ParameterValuesType = itk::ParameterFileParser::ParameterValuesType

Definition at line 45 of file transformixlib.h.

## Constructor & Destructor Documentation

## TRANSFORMIX()

transformix::TRANSFORMIX::TRANSFORMIX | ( |  | ) |

Constructor and destructor.

## ~TRANSFORMIX()

virtual transformix::TRANSFORMIX::~TRANSFORMIX | ( |  | ) |

virtual

## Member Function Documentation

## GetResultImage() [1/2]

ImagePointer transformix::TRANSFORMIX::GetResultImage | ( |  | ) |

Getter for result image. Non-const overload

## GetResultImage() [2/2]

ConstImagePointer transformix::TRANSFORMIX::GetResultImage | ( |  | ) | const

Getter for result image.

## TransformImage() [1/2]

int transformix::TRANSFORMIX::TransformImage | ( | ImagePointer | inputImage,
|  | ParameterMapType & | parameterMap,
|  | std::string | outputPath,
|  | bool | performLogging,
|  | bool | performCout )

Return value: 0 is success in case not 0 an error occurred 0 = success 1 = error -2 = output folder does not exist

## TransformImage() [2/2]

int transformix::TRANSFORMIX::TransformImage | ( | ImagePointer | inputImage,
|  | std::vector< ParameterMapType > & | parameterMaps,
|  | const std::string & | outputPath,
|  | bool | performLogging,
|  | bool | performCout )

Return value: 0 is success in case not 0 an error occurred 0 = success 1 = error -2 = output folder does not exist

## Field Documentation

## m_ResultImage

ImagePointer transformix::TRANSFORMIX::m_ResultImage

private

Definition at line 86 of file transformixlib.h.

Generated on 1768596610 for elastix by 1.15.0 |